%define anolis_release 1

Name:           iio-sensor-proxy
Version:        3.4
Release:        %{anolis_release}%{?dist}
Summary:        IIO accelerometer sensor to input device proxy

License:        GPLv3+
URL:            https://gitlab.freedesktop.org/hadess/iio-sensor-proxy
Source0:	https://gitlab.freedesktop.org/hadess/iio-sensor-proxy/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  gcc
BuildRequires:  gtk-doc
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gudev-1.0)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  systemd
BuildRequires:  umockdev
BuildRequires:  python3-dbusmock
BuildRequires:	cmake
%{?systemd_requires}

%description
%{summary}.

%package doc
Summary:        Documentation for %{name}
Requires:	%{name} = %{version}-%{release}
BuildArch:      noarch
Provides:	%{name}-docs = %{version}-%{release}
Obsoletes:	%{name}-docs < %{version}-%{release}

%description doc
This package contains the documentation for %{name}.

%prep
%autosetup

%build
%meson -Dgtk_doc=true -Dgtk-tests=false
%meson_build

%install
%meson_install

%generate_compatibility_deps

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license COPYING
%{_bindir}/monitor-sensor
%{_libexecdir}/%{name}
%{_unitdir}/%{name}.service
%{_udevrulesdir}/*-%{name}.rules
%{_sysconfdir}/dbus-1/system.d/net.hadess.SensorProxy.conf
%{_datadir}/polkit-1/actions/net.hadess.SensorProxy.policy
%dir %{abidir}
%{abidir}/monitor-sensor-option.list

%files doc
%doc README.md
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%{_datadir}/gtk-doc/html/%{name}/

%changelog
* Tue Mar 07 2023 happy_orange <songnannan@linux.alibaba.com> - 3.4-1
- update to 3.4

* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.3-1
- init from upstream
